# stdex: stdex::wav::header Struct Reference

Loading...
Searching...
No Matches
stdex::wav::header Struct Reference

File header. More...

`#include <stdex/wav.hpp>`

Inheritance diagram for stdex::wav::header:

## Public Types

using | record = stdex::idrec::record<header, id_t, 0x46464952 , length_t, align>

## Public Attributes

id_t | type = 0
| RIFF type.

## Friends

stdex::stream::basic & | operator<< (stdex::stream::basic &dat, const header &data)
stdex::stream::basic & | operator>> (stdex::stream::basic &dat, header &data)

## Detailed Description

File header.

The documentation for this struct was generated from the following file:

- include/stdex/wav.hpp